Appearance
Get reservations
GET
/v1/reservations
Gets a list with reservations made with this specific client/distributor id
Authorizations
api_key
Type
API Key (header: X-Api-Key)
Parameters
Query Parameters
sorting
Default
nullpage_size
Number of items per page
Type
integer
Default
50page
Current page
Type
integer
Default
1created
Operators, e.g. eq:2026-01-01, ne:2026-01-01, gt:2026-01-01, ge:2026-01-01, lt:2026-01-01, le:2026-01-01, between:2026-01-01,2026-02-01
Example
"2027-01-01"valid_until
Operators, e.g. eq:2026-01-01, ne:2026-01-01, gt:2026-01-01, ge:2026-01-01, lt:2026-01-01, le:2026-01-01, between:2026-01-01,2026-02-01
Example
"2027-01-01"status
Enum: active, booked, void, error, extended. Operators, e.g. eq:active, ne:active, in:[active,extended], not_in:[active,extended]
query
query
Type
string
event_id
Filter reservation on their event ID
Type
string
distributor_id
Filter reservation on their distributor id. Operators, e.g. eq:2c2a9dc47e794e0ba88a6917e2b9047b_dst, ne:2c2a9dc47e794e0ba88a6917e2b9047b_dst, in:[2c2a9dc47e794e0ba88a6917e2b9047b_dst,7d881550d5ba4cb2b3faca11a9b1695d_dst], not_in:[2c2a9dc47e794e0ba88a6917e2b9047b_dst,7d881550d5ba4cb2b3faca11a9b1695d_dst]
on_behalf
Filter reservations on booked on behalf
Type
boolean
ticket_id
Find reservations with ticket id
Type
string
sport_type
Enum: soccer, motorsport, tennis, rugby, darts, horseracing, boxing, other, motogp, formula1, cricket, basketball, combatsport, icehockey, nba, nfl, mlb, watersport, dtm, indycar, superbike, padel, handball, golf, rowing, cycling, sailing, music. Operators, e.g. eq:soccer, ne:soccer, in:[soccer,music], not_in:[soccer,music]
Example
"soccer"external_reference_id
Filter reservations by external reference
Type
string
sales_price_eur
Filter by sales price in EUR (cents). Accepts legacy aliases net_rate and salesprice.
Example
10000Default
nullResponses
OK
application/json
JSON "reservations": [ { "early_reminder_before_void": 168, "reminder_before_void": 24, "final_reminder_before_void": 1, "client_id": "34e7303056c84c74abe9d48a5fbf68aa_cln", "reservation_id": "64dab4ad7b7a442389a71bc253de0a09_rsv", "status": "active", "notify_client": true, "notes": "Example note.", "valid_until": "2025-05-01T12:30:32", "created": "2025-05-01T12:20:32", "updated": "2025-05-01T12:20:32", "parent_allocation_id": null, "external_reference_id": "octo-order-12345", "target_currency": "EUR", "items": [ { "ticket_id": "b30c5d2d019e4eeba8de2bdd96e93434_tck", "quantity": 10, "salesprice": 340000, "net_rate": 340000, "currency": "EUR", "ticket_name": "Debenture seat", "event_name": "4th Round (Men's & Ladies) - Centre Court - Day 8 - Wimbledon (2026)" } ] } ], "pagination": { "total_size": 1, "page_size": 50, "page_number": 1, "next_page": "string", "previous_page": "string" }
{
}